> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Forget Memory

> Soft-delete a memory and cascade to all edges whose provenance is this memory.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json delete /api/v1/memories/{memory_uuid}
openapi: 3.1.0
info:
  title: Crosmos Memory API
  description: Agent memory system with hybrid retrieval
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/memories/{memory_uuid}:
    delete:
      tags:
        - memories
      summary: Forget Memory
      description: >-
        Soft-delete a memory and cascade to all edges whose provenance is this
        memory.
      operationId: forget_memory_api_v1_memories__memory_uuid__delete
      parameters:
        - name: memory_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Memory Uuid
        - name: space_uuid
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Space Uuid
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: JWT access token or API key (csk_…)
      scheme: bearer

````